Subject: bug#13997: building emacs 24.3 failed with seg fault during ./temacs --batch --load loadup bootstrap

From: Stefan Kangas <[email-masked]>
Date: Mon, 30 Sep 2019 18:24:27 +0200

Glenn Morris <[email-masked]> writes:

> Petr Hracek wrote:
>
>> I have found that when configure script is used without
>> --with-wide-int option that compilation works correctly.
>>
>> For what is used for --with-wide-int?
>
> No offence meant, but why are you adding configure options if you don't
> know what they do?
>
>> Does have any affect on emacs?
>
>>>From etc/NEWS:
>
>   ** New configure option --with-wide-int.
>   With it, Emacs integers typically have 62 bits, even on 32-bit machines.
>   On 32-bit hosts, this raises the limit on buffer sizes from about 512
>   MiB to about 2 GiB.
>
> So you can ignore this unless you are using a 32-bit platform and
> really, really, need to edit buffers larger than 512MB.

It seems like removing --with-wide-int fixed the crash for the reporter.
I couldn't find information in the thread on whether or not this was on
32 bit machine.

Is there anything left to do here?  If I don't hear anything else within
a couple of weeks, I'll assume there is no outstanding issues and close
this bug report.

Best regards,
Stefan Kangas